## org.eclipse.emf.mint.util
Class GroupAdapterImpl.NotifierEList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.BasicEList<E>
                  org.eclipse.emf.common.util.BasicEList.FastCompare<org.eclipse.emf.common.notify.Notifier>
                      org.eclipse.emf.mint.util.GroupAdapterImpl.NotifierEList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<org.eclipse.emf.common.notify.Notifier>, java.util.Collection<org.eclipse.emf.common.notify.Notifier>, java.util.List<org.eclipse.emf.common.notify.Notifier>, java.util.RandomAccess, org.eclipse.emf.common.util.EList<org.eclipse.emf.common.notify.Notifier>

Enclosing class:
  GroupAdapterImpl

    protected static class GroupAdapterImpl.NotifierEList

extends org.eclipse.emf.common.util.BasicEList.FastCompare<org.eclipse.emf.common.notify.Notifier>

Simple list for tracking notifiers.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList

`org.eclipse.emf.common.util.BasicEList.BasicIndexOutOfBoundsException, org.eclipse.emf.common.util.BasicEList.EIterator<E1>, org.eclipse.emf.common.util.BasicEList.EListIterator<E1>, org.eclipse.emf.common.util.BasicEList.FastCompare<E>, org.eclipse.emf.common.util.BasicEList.NonResolvingEIterator<E1>, org.eclipse.emf.common.util.BasicEList.NonResolvingEListIterator<E1>, org.eclipse.emf.common.util.BasicEList.UnmodifiableEList<E>`

Field Summary

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`protected` `GroupAdapterImpl.NotifierEList()`

Method Summary
`protected boolean` `canContainNull()`

Methods inherited from class org.eclipse.emf.common.util.BasicEList.FastCompare
`useEquals`

Methods inherited from class org.eclipse.emf.common.util.BasicEList

`add, add, addAll, addAll, addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicIterator, basicList, basicListIterator, basicListIterator, clear, clone, contains, containsAll, data, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, get, getDuplicates, getNonDuplicates, grow, hashCode, indexOf, isEmpty, isUnique, iterator, lastIndexOf, listIterator, listIterator, move, move, newData, remove, remove, removeAll, resolve, retainAll, set, setData, setUnique, shrink, size, toArray, toArray, toString, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`subList`

Constructor Detail

### GroupAdapterImpl.NotifierEList

    protected GroupAdapterImpl.NotifierEList()

Method Detail

### canContainNull

    protected boolean canContainNull()

  Overrides:
    `canContainNull` in class `org.eclipse.emf.common.util.BasicEList<org.eclipse.emf.common.notify.Notifier>`

Copyright 2008 Ecliptical Software Inc. and others. All Rights Reserved.